<div *ngIf="errorMessage; else noError" class="alert alert-warning">
    <strong>Warning!</strong> {{errorMessage | json}}
</div>


<ng-template #noError>
<div class="container-fluid mt-2">
    <div class="row app-container p-2">
      <div class="col-lg-12 offset-md-0">
        <p>Unblock a user</p>

        <div class="table-responsive">
            <table class="table table-condensed">

            <tr>
                <th width="38%">User</th>
                <!-- 
                <th width="25%">Organisation</th>
                <th width="25%">Roles</th> -->
                <th width="38%">ID</th>
                <th width="24%">Actions</th>
            </tr>
  
            <tbody>
                <tr *ngFor="let user of this.infoOfUsers;">
                    <th scope="row">{{ user.name }}</th>
                    <!--<td>{{ user.type }}</td>
                    <td>{{ user.name}}</td>-->
                    <td>{{ user.ATZeichenid }}</td>
                    <td>
                        <div class="btn btn-danger" [attr.id]="'userElement' + user.name" (click)="unblockUser(user);">
                            unblock
                        </div>
                    </td>
                </tr>
            </tbody>
  
                
              

            </table>
        </div>
      </div>
    </div>
  </div>

  <p>Load the information of the User</p>
  <div class="btn btn-success" [attr.id]="buttonLoadInfo" (click)="loadInfo();">
    Load information
  </div>
  
</ng-template>
